import java.awt.*;
import javax.swing.*; 
import com.wildcrest.j2printerworks.*; 

class J2PanelPrinterSimplestTest{ 

    static public void main(String args[]){ 

        JPanel panel = new JPanel();
        JLabel label = new JLabel();
        label.setFont(new Font("Serif",Font.PLAIN,14));
        label.setText("<html>This is an example of <i>a JLabel</i><br>"
                    + "displayed inside <u>a JPanel</u> and<br>"
                    + "printed using <b>J2PrinterWorks</b></html>");
        panel.add(label);
        panel.setBackground(Color.white); 
        panel.setPreferredSize(new Dimension(200,75)); 

        JFrame frame = new JFrame("J2PanelPrinter test"); 
        frame.getContentPane().add(panel); 
        frame.pack(); 
        frame.setVisible(true); 

        J2Printer printer = new J2Printer(); 
        printer.setSeparatePrintThread(false); 
        J2PanelPrinter panelPrinter = new J2PanelPrinter(panel); 
        printer.addPageable(panelPrinter); 
        printer.print(); 
        System.exit(0); 
    } 
}